# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	What modules shipped with versions of perl
Name:		perl-Module-CoreList
Epoch:		1
Version:	5.20250720
Release:	1.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Module-CoreList
Source0:	https://www.cpan.org/modules/by-module/Module/Module-CoreList-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(File::Copy)
# Module Runtime
BuildRequires:	perl(List::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.88
BuildRequires:	perl(warnings)
# Script Runtime
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Pod::Usage)
# Test Suite
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Fedora sub-packages corelist as perl-Module-CoreList-tools
Obsoletes:	perl-Module-CoreList-tools < %{epoch}:%{version}-%{release}
Provides:	perl-Module-CoreList-tools = %{epoch}:%{version}-%{release}

%description
Module::CoreList - what modules shipped with versions of perl.

%prep
%setup -q -n Module-CoreList-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{_bindir}/corelist
%{perl_vendorlib}/Module/
%{_mandir}/man1/corelist.1*
%{_mandir}/man3/Module::CoreList.3*
%{_mandir}/man3/Module::CoreList::Utils.3*

%changelog
* Mon Jul 21 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250720-1
- Update to 5.20250720
  - Updated for v5.43.1
  - Updated for v5.43.0

* Thu Jul  3 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250702-1
- Update to 5.20250702
  - Updated for v5.42.0

* Thu May 29 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250528-1
- Update to 5.20250528
  - Updated for v5.41.13

* Tue Apr 22 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250421-1
- Update to 5.20250421
  - Updated for v5.41.12

* Mon Apr 21 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250420-1
- Update to 5.20250420
  - Updated for v5.41.11

* Sun Apr 13 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250414-1
- Update to 5.20250414
  - Updated for v5.40.2
  - Updated for v5.38.4

* Sat Mar 22 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250321-1
- Update to 5.20250321
  - Updated for v5.41.10
- Use %%{make_build} and %%{make_install}

* Mon Feb 24 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250220-1
- Update to 5.20250220
  - Updated for v5.41.9

* Tue Jan 21 2025 Paul Howarth <paul@city-fan.org> - 1:5.20250120-1
- Update to 5.20250120
  - Updated for v5.41.8
  - Updated for v5.40.1
  - Updated for v5.38.3

* Fri Dec 20 2024 Paul Howarth <paul@city-fan.org> - 1:5.20241220-1
- Update to 5.20241220
  - Updated for v5.41.7

* Wed Nov 20 2024 Paul Howarth <paul@city-fan.org> - 1:5.20241120-1
- Update to 5.20241120
  - Updated for v5.41.6
- Switch source URL from cpan.metacpan.org to www.cpan.org

* Mon Oct 21 2024 Paul Howarth <paul@city-fan.org> - 1:5.20241020-1
- Update to 5.20241020
  - Updated for v5.41.5

* Fri Sep 20 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240920-1
- Update to 5.20240920
  - Updated for v5.41.4

* Thu Aug 29 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240829-1
- Update to 5.20240829
  - Updated for v5.41.3

* Tue Jul 23 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240720-1
- Update to 5.20240720
  - Updated for v5.41.2

* Mon Jul  8 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240702-1
- Update to 5.20240702
  - Updated for v5.41.0 and v5.41.1

* Mon Jun 10 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240609-1
- Update to 5.20240609
  - Updated for v5.40.0

* Sun Apr 28 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240420-1
- Update to 5.20240420
  - Updated for v5.39.10

* Thu Mar 21 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240320-1
- Update to 5.20240320
  - Updated for v5.39.9

* Sat Feb 24 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240223-1
- Update to 5.20240223
  - Updated for v5.39.8

* Tue Jan 30 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240129-1
- Update to 5.20240129
  - Re-release due to indexing errors with 5.2040120

* Sat Jan 20 2024 Paul Howarth <paul@city-fan.org> - 1:5.20240120-1
- Update to 5.20240120
  - Updated for v5.39.7

* Thu Nov 30 2023 Paul Howarth <paul@city-fan.org> - 1:5.20231129-1
* Sun Dec 31 2023 Paul Howarth <paul@city-fan.org> - 1:5.20231230-1
- Update to 5.20231230
  - Updated for v5.39.6

* Thu Nov 30 2023 Paul Howarth <paul@city-fan.org> - 1:5.20231129-1
- Update to 5.20231129
  - Updated for v5.34.2, v5.36.2, v5.38.1

* Mon Nov 20 2023 Paul Howarth <paul@city-fan.org> - 1:5.20231120-1
- Update to 5.20231120
  - Updated for v5.39.5

* Thu Oct 26 2023 Paul Howarth <paul@city-fan.org> - 1:5.20231025-1
- Update to 5.20231025
  - Updated for v5.39.4

* Thu Sep 21 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230920-1
- Update to 5.20230920
  - Updated for v5.39.3

* Mon Aug 21 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230820-1
- Update to 5.20230820
  - Updated for v5.39.2

* Fri Jul 21 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230720-1
- Update to 5.20230720
  - Updated for v5.39.1

* Mon Jul  3 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230520-1
- Update to 5.20230520
  - Updated for v5.38.0

* Mon Apr 24 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230423-1
- Update to 5.20230423
  - Updated for v5.36.1

* Fri Apr 21 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230420-1
- Update to 5.20230420
  - Updated for v5.37.11

* Tue Mar 21 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230320-1
- Update to 5.20230320
  - Updated for v5.37.10

* Tue Feb 21 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230220-1
- Update to 5.20230220
  - Updated for v5.37.9

* Fri Jan 20 2023 Paul Howarth <paul@city-fan.org> - 1:5.20230120-1
- Update to 5.20230120
  - Updated for v5.37.8

* Wed Dec 21 2022 Paul Howarth <paul@city-fan.org> - 1:5.20221220-1
- Update to 5.20221220
  - Updated for v5.37.7

* Mon Nov 21 2022 Paul Howarth <paul@city-fan.org> - 1:5.20221120-1
- Update to 5.20221120
  - Updated for v5.37.6

* Fri Oct 21 2022 Paul Howarth <paul@city-fan.org> - 1:5.20221020-1
- Update to 5.20221020
  - Updated for v5.37.5

* Wed Sep 21 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220920-1
- Update to 5.20220920
  - Updated for v5.37.4

* Mon Aug 22 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220820-1
- Update to 5.20220820
  - Updated for v5.37.3
- Use SPDX-format license tag

* Tue Jul 26 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220720-1
- Update to 5.20220720
  - Updated for v5.37.2

* Tue Jun 21 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220620-1
- Update to 5.20220620
  - Updated for v5.37.1

* Sat May 28 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220527-1
- Update to 5.20220527
  - Updated for v5.36.0
  - Updated for v5.37.0

* Thu Apr 21 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220420-1
- Update to 5.20220420
  - Updated for v5.35.11

* Sun Mar 20 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220320-1
- Update to 5.20220320
  - Updated for v5.35.10

* Tue Mar 15 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220313-1
- Update to 5.20220313
  - Updated for v5.34.1

* Sun Feb 20 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220220-1
- Update to 5.20220220
  - Updated for v5.35.9

* Fri Jan 21 2022 Paul Howarth <paul@city-fan.org> - 1:5.20220120-1
- Update to 5.20220120
  - Updated for v5.35.8

* Tue Dec 21 2021 Paul Howarth <paul@city-fan.org> - 1:5.20211220-1
- Update to 5.20211220
  - Updated for v5.35.7

* Mon Nov 22 2021 Paul Howarth <paul@city-fan.org> - 1:5.20211120-1
- Update to 5.20211120
  - Updated for v5.35.6

* Fri Oct 22 2021 Paul Howarth <paul@city-fan.org> - 1:5.20211020-1
- Update to 5.20211020
  - Updated for v5.35.5

* Tue Sep 21 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210920-1
- Update to 5.20210920
  - Updated for v5.35.4

* Mon Aug 23 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210820-1
- Update to 5.20210820
  - Updated for v5.35.3

* Mon Jul 26 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210723-1
- Update to 5.20210723
  - Updated for v5.35.2
- Fix dist tags for Alma and Rocky Linux

* Mon Jun 21 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210620-1
- Update to 5.20210620
  - Updated for v5.35.1

* Wed May 26 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210521-1
- Update to 5.20210521
  - Updated for v5.35.0

* Fri May 21 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210520-1
- Update to 5.20210520
  - Updated for v5.34.0

* Wed Apr 21 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210420-1
- Update to 5.20210420
  - Updated for v5.33.9

* Mon Mar 22 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210320-1
- Update to 5.20210320
  - Updated for v5.33.8

* Sun Feb 21 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210220-1
- Update to 5.20210220
  - Updated for v5.33.7

* Mon Jan 25 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210123-1
- Update to 5.20210123
  - Updated for v5.32.1

* Fri Jan 22 2021 Paul Howarth <paul@city-fan.org> - 1:5.20210120-1
- Update to 5.20210120
  - Updated for v5.33.6

* Mon Dec 21 2020 Paul Howarth <paul@city-fan.org> - 1:5.20201220-1
- Update to 5.20201220
  - Updated for v5.33.5

* Sun Nov 22 2020 Paul Howarth <paul@city-fan.org> - 1:5.20201120-1
- Update to 5.20201120
  - Updated for v5.33.4

* Wed Oct 21 2020 Paul Howarth <paul@city-fan.org> - 1:5.20201020-1
- Update to 5.20201020
  - Updated for v5.33.3

* Mon Sep 21 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200920-1
- Update to 5.20200920
  - Updated for v5.33.2

* Fri Aug 21 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200820-1
- Update to 5.20200820
  - Updated for v5.33.1

* Sat Jul 18 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200717-1
- Update to 5.20200717
  - Updated for v5.33.0

* Sun Jun 21 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200620-1
- Update to 5.20200620
  - Updated for v5.32.0

* Tue Jun  9 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200603-1
- Update to 5.20200603
  - Remove bogus 5.031012 release

* Tue Jun  2 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200602-1
- Update to 5.20200602
  - Updated for v5.31.12
  - Updated for v5.30.3
  - Updated for v5.28.3

* Wed Apr 29 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200428-1
- Update to 5.20200428
  - Updated for v5.31.11

* Sun Mar 22 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200320-1
- Update to 5.20200320
  - Updated for v5.31.10

* Sat Mar 14 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200314-1
- Update to 5.20200314
  - Updated for v5.30.2

* Fri Feb 21 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200220-1
- Update to 5.20200220
  - Updated for v5.31.9

* Tue Jan 21 2020 Paul Howarth <paul@city-fan.org> - 1:5.20200120-1
- Update to 5.20200120
  - Updated for v5.31.8

* Sat Dec 21 2019 Paul Howarth <paul@city-fan.org> - 1:5.20191220-1
- Update to 5.20191220
  - Updated for v5.31.7

* Thu Nov 21 2019 Paul Howarth <paul@city-fan.org> - 1:5.20191120-1
- Update to 5.20191120
  - Updated for v5.31.6

* Mon Nov 11 2019 Paul Howarth <paul@city-fan.org> - 1:5.20191110-1
- Update to 5.20191110
  - Updated for v5.30.1

* Mon Oct 21 2019 Paul Howarth <paul@city-fan.org> - 1:5.20191020-1
- Update to 5.20191020
  - Updated for v5.31.5

* Mon Sep 23 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190920-1
- Update to 5.20190920
  - Updated for v5.31.4

* Tue Aug 20 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190820-1
- Update to 5.20190820
  - Updated for v5.31.3

* Mon Jul 22 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190720-1
- Update to 5.20190720
  - Updated for v5.31.2

* Fri Jun 21 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190620-1
- Update to 5.20190620
  - Updated for v5.31.1

* Sat May 25 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190524-1
- Update to 5.20190524
  - Updated for v5.31.0

* Wed May 22 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190522-1
- Update to 5.20190522
  - Updated for v5.30.0

* Mon Apr 22 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190420-1
- Update to 5.20190420
  - Updated for v5.28.2
  - Updated for v5.29.10

* Thu Mar 21 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190320-1
- Update to 5.20190320
  - Updated for v5.29.9

* Fri Feb 22 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190220-1
- Update to 5.20190220
  - Updated for v5.29.8

* Sun Jan 20 2019 Paul Howarth <paul@city-fan.org> - 1:5.20190120-1
- Update to 5.20190120
  - Updated for v5.29.7

* Tue Dec 18 2018 Paul Howarth <paul@city-fan.org> - 1:5.20181218-1
- Update to 5.20181218
  - Updated for v5.29.6

* Mon Dec  3 2018 Paul Howarth <paul@city-fan.org> - 1:5.20181130-1
- Update to 5.20181130
  - Updated for v5.28.1
  - Updated for v5.26.3

* Wed Nov 21 2018 Paul Howarth <paul@city-fan.org> - 1:5.20181120-1
- Update to 5.20181120
  - Updated for v5.29.5

* Mon Oct 22 2018 Paul Howarth <paul@city-fan.org> - 1:5.20181020-1
- Update to 5.20181020
  - Updated for v5.29.4

* Fri Sep 21 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180920-1
- Update to 5.20180920
  - Updated for v5.29.3

* Tue Aug 21 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180820-1
- Update to 5.20180820
  - Updated for v5.29.2

* Mon Jul 23 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180720-1
- Update to 5.20180720
  - Updated for v5.29.1

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180626-1
- Update to 5.20180626
  - Updated for v5.29.0

* Mon Jun 25 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180622-1
- Update to 5.20180622
  - Updated for v5.28.0
- Switch upstream from search.cpan.org to metacpan.org

* Tue Apr 24 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180420-1
- Update to 5.20180420
  - Updated for v5.27.11

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180414-1
- Update to 5.20180414
  - Updated for v5.26.2
  - Updated for v5.24.4

* Wed Mar 21 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180221-1
- Update to 5.20180221
  - Updated for v5.27.10

* Wed Feb 21 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180220-1
- Update to 5.20180220
  - Improve handling of broken versions in is_core()
  - Removed Module::CoreList::TieHashDelta
  - Updated for v5.27.9

* Mon Jan 22 2018 Paul Howarth <paul@city-fan.org> - 1:5.20180120-1
- Update to 5.20180120
 - Updated for v5.27.8

* Thu Dec 28 2017 Paul Howarth <paul@city-fan.org> - 1:5.20171220-2
- Obsolete/Provide perl-Module-CoreList-tools

* Thu Dec 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20171220-1
- Update to 5.20171220
 - Updated for v5.27.7

* Tue Nov 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20171120-1
- Update to 5.20171120
  - Updated for v5.27.6

* Mon Oct 23 2017 Paul Howarth <paul@city-fan.org> - 1:5.20171020-1
- Update to 5.20171020
  - Updated for v5.27.5

* Mon Sep 25 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170923-1
- Update to 5.20170923
  - Updated for v5.26.1
  - Updated for v5.24.3

* Thu Sep 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170920-1
- Update to 5.20170920
  - Updated for v5.27.4

* Tue Aug 22 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170821-1
- Update to 5.20170821
  - Updated for v5.27.3

* Fri Jul 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170720-1
- Update to 5.20170720
  - Updated for v5.27.2
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Mon Jul 17 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170715-1
- Update to 5.20170715
  - Updated for v5.24.2
  - Updated for v5.22.4

* Wed Jun 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170621-1
- Update to 5.20170621
  - Updated for v5.27.1

* Thu Jun  1 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170531-1
- Update to 5.20170531
  - Updated for v5.27.0

* Wed May 31 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170530-1
- Update to 5.20170530
  - Updated for v5.26.0

* Fri Apr 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170420-1
- Update to 5.20170420
  - Updated for v5.25.12
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Mar 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170320-1
- Update to 5.20170320
  - Updated for v5.25.11

* Tue Feb 21 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170220-1
- Update to 5.20170220
  - Updated for v5.25.10

* Sun Jan 22 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170120-1
- Update to 5.20170120
  - Updated for v5.25.9

* Sun Jan 15 2017 Paul Howarth <paul@city-fan.org> - 1:5.20170115-1
- Update to 5.20170115
  - Updated for v5.24.1 and v5.22.3

* Wed Dec 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20161220-1
- Update to 5.20161220
  - Updated for v5.25.8

* Mon Nov 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20161120-1
- Update to 5.20161120
  - Updated for v5.25.7

* Fri Oct 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20161020-1
- Update to 5.20161020
  - Updated for v5.25.6

* Wed Sep 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160920-1
- Update to 5.20160920
  - Updated for v5.25.5

* Sun Aug 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160820-1
- Update to 5.20160820
  - Updated for v5.25.4

* Fri Aug  5 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160720-2
- Avoid loading optional modules from default . (CVE-2016-1238)

* Thu Jul 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160720-1
- Update to 5.20160720
  - Updated for v5.25.3

* Tue Jun 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160620-1
- Update to 5.20160620
  - Updated for v5.25.2

* Sun May 22 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160520-1
- Update to 5.20160520
  - Fixed edge-case checking in is_core() (checking for a specific version of a
    module returned false for the first perl release that contained it)
  - Updated for v5.25.1
- BR: perl-generators where available

* Tue May 10 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160507-1
- Update to 5.20160507
  - Updated for v5.24.0 and v5.25.0
  - Avoid deep recursion warnings for newer perl versions

* Tue May  3 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160429-1
- Update to 5.20160429
  - Updated for v5.22.2
- Simplify find command using -delete

* Mon Mar 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160320-1
- Update to 5.20160320
  - corelist: wrong Digest::SHA version in 5.18.4 (Perl RT#127624)
  - Updated for v5.23.9

* Sun Feb 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160121-1
- Update to 5.20160121
  - Updated for v5.23.8

* Thu Jan 21 2016 Paul Howarth <paul@city-fan.org> - 1:5.20160120-1
- Update to 5.20160120
  - Updated for v5.23.7

* Tue Dec 22 2015 Paul Howarth <paul@city-fan.org> - 1:5.20151220-1
- Update to 5.20151220
  - Updated for v5.23.6

* Mon Dec 14 2015 Paul Howarth <paul@city-fan.org> - 1:5.20151213-1
- Update to 5.20151213
  - Updated for v5.22.1

* Tue Nov 24 2015 Paul Howarth <paul@city-fan.org> - 1:5.20151120-1
- Update to 5.20151120
  - Updated for v5.23.5

* Wed Oct 21 2015 Paul Howarth <paul@city-fan.org> - 1:5.20151020-1
- Update to 5.20151020
  - Updated for v5.23.4

* Mon Sep 21 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150920-1
- Update to 5.20150920
  - Updated for v5.23.3

* Mon Sep 14 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150912-1
- Update to 5.20150912
  - Updated for v5.20.3

* Fri Aug 21 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150820-1
- Update to 5.20150820
  - Updated for v5.23.2

* Tue Jul 21 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150720-1
- Update to 5.20150720
  - Updated for v5.23.1

* Sun Jun 21 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150620-1
- Update to 5.20150620
  - Updated for v5.23.0

* Wed Jun 17 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150520-1
- Update to 5.20150520
  - Updated for v5.22.0

* Tue Apr 21 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150420-1
- Update to 5.20150420
  - Updated for v5.21.11

* Mon Mar 23 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150320-1
- Update to 5.20150320
  - Updated for v5.21.10

* Mon Feb 23 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150220-1
- Update to 5.20150220
  - Updated for v5.21.9

* Sun Feb 15 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150214-1
- Update to 5.20150214
  - Updated for v5.20.2

* Mon Jan 26 2015 Paul Howarth <paul@city-fan.org> - 1:5.20150120-1
- Update to 5.20150120
  - Updated for v5.21.8

* Mon Dec 22 2014 Paul Howarth <paul@city-fan.org> - 1:5.20141220-1
- Update to 5.20141120
  - Updated for v5.21.7

* Fri Nov 21 2014 Paul Howarth <paul@city-fan.org> - 1:5.20141120-1
- Update to 5.20141120
  - Updated for v5.21.6

* Mon Oct 20 2014 Paul Howarth <paul@city-fan.org> - 1:5.20141020-1
- Update to 5.20141020
  - Updated for v5.21.5

* Fri Oct  3 2014 Paul Howarth <paul@city-fan.org> - 1:5.20141002-1
- Update to 5.20141002
  - Updated for v5.18.3 and v5.18.4
- Classify buildreqs by usage

* Mon Sep 22 2014 Paul Howarth <paul@city-fan.org> - 1:5.20140920-1
- Update to 5.20140920
  - Updated for v5.21.4
  - Updated for v5.20.1

* Sat Sep  6 2014 Paul Howarth <paul@city-fan.org> - 1:5.021003-1
- Update to 5.021003
  - Prepared for v5.21.3

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 1:5.021002-2
- Perl 5.20 rebuild

* Mon Jul 21 2014 Paul Howarth <paul@city-fan.org> - 1:5.021002-1
- Update to 5.021002
  - Prepared for v5.21.2

* Mon Jun 23 2014 Paul Howarth <paul@city-fan.org> - 1:5.021001-1
- Update to 5.021001
  - Prepared for v5.21.1

* Tue May 27 2014 Paul Howarth <paul@city-fan.org> - 1:3.11-1
- Update to 3.11
  - Prepared for v5.20.0
  - Fix regression in corelist with -v output listing the same perl multiple
    times
  - Fix regression in corelist with v5.x.10 appearing twice in -a output
- Drop %%defattr, redundant since rpm 4.4

* Mon Apr 21 2014 Paul Howarth <paul@city-fan.org> - 1:3.10-1
- Update to 3.10
  - Updated for v5.19.11

* Fri Mar 28 2014 Paul Howarth <paul@city-fan.org> - 1:3.09-1
- Update to 3.09
  - Updated for v5.19.10

* Mon Feb 24 2014 Paul Howarth <paul@city-fan.org> - 1:3.07-1
- Update to 3.07
  - Fix for is_core tests and perls ending in 0

* Thu Feb 20 2014 Paul Howarth <paul@city-fan.org> - 1:3.06-2
- Use upstream fix for string/numeric format confusion in v5.10.0
  (Perl RT#121287)

* Thu Feb 20 2014 Paul Howarth <paul@city-fan.org> - 1:3.06-1
- Update to 3.06
  - Updated for 5.19.9
  - Fix Module::CoreList::is_core default perl version
  - Fix Module::CoreList::is_core version comparision
- Add patch to fix string/numeric format confusion in v5.10.0

* Tue Jan 21 2014 Paul Howarth <paul@city-fan.org> - 1:3.04-1
- Update to 3.04
  - Prepared for v5.19.8

* Tue Jan  7 2014 Paul Howarth <paul@city-fan.org> - 1:3.03-1
- Update to 3.03
  - Updated for v5.18.2

* Sat Dec 21 2013 Paul Howarth <paul@city-fan.org> - 1:3.02-1
- Update to 3.02
  - Updated for v5.19.7
  - Added CGI et al deprecation status

* Thu Nov 21 2013 Paul Howarth <paul@city-fan.org> - 1:3.01-1
- Update to 3.01
  - Finalized for v5.19.6

* Mon Oct 21 2013 Paul Howarth <paul@city-fan.org> - 1:3.00-1
- Update to 3.00
  - Updated for v5.19.5
  - Exported %%delta
  - Fixed bug in is_core(): it was naively assuming a linear sequence of
    releases, rather than the tree with multiple branches

* Fri Sep 20 2013 Paul Howarth <paul@city-fan.org> - 1:2.99-1
- Update to 2.99
  - Updated for v5.19.4
  - Fixed Module::Build core deprecation
  - changes_between now has the same API as all other functions
  - Added is_core(), which returns true if a module is/was core in a specific
    version of Perl; can optionally specify minimum version of the module

* Tue Aug 20 2013 Paul Howarth <paul@city-fan.org> - 1:2.97-1
- Update to 2.97
  - Updated for v5.19.3

* Mon Aug 12 2013 Paul Howarth <paul@city-fan.org> - 1:2.96-1
- Update to 2.96
  - Utils module listing all utilities released with core
  - Prepared for v5.19.3
  - Updated for v5.18.1

* Mon Jul 22 2013 Paul Howarth <paul@city-fan.org> - 1:2.94-1
- Update to 2.94
  - Updated for v5.19.1
  - Updated for v5.19.2
  - Utils module removed again

* Tue Jul 16 2013 Paul Howarth <paul@city-fan.org> - 1:2.92-2
- Perl 5.18 rebuild

* Fri Jun 21 2013 Paul Howarth <paul@city-fan.org> - 1:2.92-1
- Update to 2.92
  - Make switches case-sensitive (keep -d and -D distinct)
  - Correct omission of Text::Soundex and File::CheckTree from deprecations
  - Switch %%deprecated to a delta hash
  - Added Utils module

* Mon May 20 2013 Paul Howarth <paul@city-fan.org> - 1:2.91-1
- Update to 2.91
  - Updated for v5.19.0

* Sat May 18 2013 Paul Howarth <paul@city-fan.org> - 1:2.90-1
- Update to 2.90
  - Updated for v5.18.0

* Tue Apr 23 2013 Paul Howarth <paul@city-fan.org> - 1:2.88-1
- Update to 2.88
  - Include deprecations for v5.17.10 and v5.17.11

* Sun Apr 21 2013 Paul Howarth <paul@city-fan.org> - 1:2.87-1
- Update to 2.87
  - Updated for v5.17.11

* Fri Mar 22 2013 Paul Howarth <paul@city-fan.org> - 1:2.85-1
- Update to 2.85
  - Updated for v5.17.10

* Tue Mar 12 2013 Paul Howarth <paul@city-fan.org> - 1:2.84-1
- Update to 2.84
  - Updated for v5.16.3

* Mon Mar 11 2013 Paul Howarth <paul@city-fan.org> - 1:2.83-1
- Update to 2.83
  - Updated for v5.14.4

* Thu Feb 21 2013 Paul Howarth <paul@city-fan.org> - 1:2.82-1
- Update to 2.82
  - Updated for v5.17.9
  - Add modules deprecated with v5.17.9
  - Add --feature switch
  - Add --upstream switch

* Sun Jan 20 2013 Paul Howarth <paul@city-fan.org> - 1:2.80-1
- Update to 2.80
  - Updated for v5.17.8
  - v5.17.7 contained Module::CoreList::TieHashDelta 2.79, not 2.78

* Tue Dec 18 2012 Paul Howarth <paul@city-fan.org> - 1:2.79-1
- Update to 2.79
  - Updated for v5.17.7
  - Errno was added in 5.5, not in 5.5.4

* Wed Nov 21 2012 Paul Howarth <paul@city-fan.org> - 1:2.78-1
- Update to 2.78
  - Updated for v5.17.6
  - Fix hash order dependency bug in deprecated_in(); tests would fail or
    succeed depending on the order keys() returned the version list

* Mon Nov 12 2012 Paul Howarth <paul@city-fan.org> - 1:2.77-1
- Update to 2.77
  - Updated for v5.12.5
  - deprecated_in() function added
  - corelist reports deprecated data
- BR: perl(List::Util)
- This release by BINGOS -> update source URL

* Thu Nov  1 2012 Paul Howarth <paul@city-fan.org> - 1:2.76-1
- Update to 2.76
  - Updated for v5.16.2
- This release by RJBS -> update source URL

* Sat Oct 20 2012 Paul Howarth <paul@city-fan.org> - 1:2.75-1
- Update to 2.75
  - Updated for v5.17.5

* Sat Oct 13 2012 Paul Howarth <paul@city-fan.org> - 1:2.74-1
- Update to 2.74
  - Updated for v5.14.3

* Thu Sep 20 2012 Paul Howarth <paul@city-fan.org> - 1:2.73-1
- Update to 2.73
  - Updated for v5.17.4

* Tue Aug 21 2012 Paul Howarth <paul@city-fan.org> - 1:2.72-1
- Update to 2.72
  - Fix for older perls
- Drop patch for CPAN RT#79109, included in upstream release

* Mon Aug 20 2012 Paul Howarth <paul@city-fan.org> - 1:2.71-1
- Update to 2.71
  - Updated for v5.17.3
- Add patch to avoid each $scalar in TieHashDelta.pm (CPAN RT#79109)

* Thu Aug  9 2012 Paul Howarth <paul@city-fan.org> - 1:2.70-1
- Update to 2.70
  - Updated for v5.16.1

* Fri Jul 20 2012 Paul Howarth <paul@city-fan.org> - 1:2.69-1
- Update to 2.69
  - Updated for v5.17.2

* Thu Jun 21 2012 Paul Howarth <paul@city-fan.org> - 1:2.68-1
- Update to 2.68
  - Updated for v5.17.1

* Sat May 26 2012 Paul Howarth <paul@city-fan.org> - 1:2.67-1
- Update to 2.67
  - Updated for v5.17.0

* Mon May 21 2012 Paul Howarth <paul@city-fan.org> - 1:2.66-1
- Update to 2.66
  - Add the --diff option to compare two perl core modlibs

* Tue Mar 20 2012 Paul Howarth <paul@city-fan.org> - 1:2.65-1
- Update to 2.65
  - Separate the POD
  - Update for v5.15.9
  - Update of Data::Dumper and XS::APItest
  - Update of lib/charnames
- BR: perl(Getopt::Long) and perl(Pod::Usage)
- Don't need to remove empty directories from the buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Tue Feb 21 2012 Paul Howarth <paul@city-fan.org> - 1:2.61-1
- Update to 2.61
  - Updated for v5.15.8

* Fri Jan 20 2012 Paul Howarth <paul@city-fan.org> - 1:2.60-1
- Update to 2.60
  - Updated for v5.15.7

* Wed Dec 21 2011 Paul Howarth <paul@city-fan.org> - 1:2.59-1
- Update to 2.59
  - Updated for v5.15.6

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 1:2.58-1
- Bump epoch to match Fedora perl package (#754641)

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 2.58-1
- Update to 2.58
  - Updated for v5.15.5

* Fri Oct 21 2011 Paul Howarth <paul@city-fan.org> - 2.57-1
- Update to 2.57
  - Updated for v5.15.4

* Wed Sep 21 2011 Paul Howarth <paul@city-fan.org> - 2.56-1
- Update to 2.56
  - Updated for v5.15.3
  - Corrected version of Module::CoreList shipped with v5.10.0
  - Corrected Errno being shipped with v5.6.0 and v5.6.1
  - Corrected VMS::Filespec being shipped with v5.12.3
  - Corrected DB_File being shipped with v5.8.2
  - Added http://perlpunks.de/corelist to SEE ALSO

* Sun Aug 21 2011 Paul Howarth <paul@city-fan.org> - 2.55-1
- Update to 2.55
  - Updated for v5.15.2

* Thu Jul 21 2011 Paul Howarth <paul@city-fan.org> - 2.54-2
- Rebuild for perl 5.14.1 in Rawhide

* Thu Jul 21 2011 Paul Howarth <paul@city-fan.org> - 2.54-1
- Update to 2.54
  - Updated for v5.15.1

* Thu Jul 14 2011 Paul Howarth <paul@city-fan.org> - 2.53-1
- Update to 2.53
  - Added release date option '-r' to corelist
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> - 2.52-1
- Update to 2.52
  - Extraneous modules listed (CPAN RT#69108)

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> - 2.51-1
- Update to 2.51
  - Updated for v5.12.4, v5.14.1 and v5.15.0
- This release by BINGOS -> update source URL

* Sun May 15 2011 Paul Howarth <paul@city-fan.org> - 2.49-1
- Update to 2.49
  - Updated for 5.14.0
- Nobody else likes macros for commands

* Mon Mar 21 2011 Paul Howarth <paul@city-fan.org> - 2.46-1
- Update to 2.46
  - Sanity check values before doing ->isa on them (CPAN RT#59511)
  - Updated for 5.13.11

* Mon Feb 21 2011 Paul Howarth <paul@city-fan.org> - 2.45-1
- Update to 2.45 (updated for 5.13.10)

* Sun Jan 23 2011 Paul Howarth <paul@city-fan.org> - 2.44-1
- Update to 2.44 (updated for 5.12.3, merged 5.12.3 and 5.13.9)

* Mon Dec 20 2010 Paul Howarth <paul@city-fan.org> - 2.42-1
- Update to 2.42 (updated for 5.13.8)

* Mon Nov 22 2010 Paul Howarth <paul@city-fan.org> - 2.41-1
- Update to 2.41 (updated for 5.13.7)

* Thu Oct 21 2010 Paul Howarth <paul@city-fan.org> - 2.40-1
- Update to 2.40 (updated for 5.13.6)

* Mon Sep 20 2010 Paul Howarth <paul@city-fan.org> - 2.39-1
- Update to 2.39 (updated for 5.13.5)

* Tue Sep  7 2010 Paul Howarth <paul@city-fan.org> - 2.38-1
- Update to 2.38 (updated for 5.12.2)

* Mon Aug 23 2010 Paul Howarth <paul@city-fan.org> - 2.37-1
- Update to 2.37
  - Updated for 5.13.4
  - Remove 'Filespec' module (never in core, should have been 'VMS::Filespec')

* Wed Jul 21 2010 Paul Howarth <paul@city-fan.org> - 2.36-1
- Update to 2.36 (updated for 5.13.3)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 2.35-1
- Update to 2.35 (updated for 5.13.2)

* Fri May 21 2010 Paul Howarth <paul@city-fan.org> - 2.34-1
- Update to 2.34 (updated for 5.13.1)

* Mon May 17 2010 Paul Howarth <paul@city-fan.org> - 2.33-1
- Update to 2.33
  - Format Perl versions >= 5.6.0 as X.Y.Z (CPAN RT#56740)
  - Amend functional interface to make calling conventions consistent
  - Document all functions and all hash structures
  - Fix functions with edge-case involving querying for Module::CoreList itself
  - Add removed_from() and removed_from_by_date() functions
  - Amend corelist utility to use new removed from functions
  - Add tests to the testsuite to cover the edge-cases and new functions

* Wed Apr 21 2010 Paul Howarth <paul@city-fan.org> - 2.31-1
- Update to 2.31 (updated for 5.13.0)

* Tue Apr 13 2010 Paul Howarth <paul@city-fan.org> - 2.29-1
- Update to 2.29 (updated for 5.12.0)

* Mon Feb 22 2010 Paul Howarth <paul@city-fan.org> - 2.26-1
- Update to 2.26 (updated for 5.11.5)
- New upstream maintainer -> new source URL

* Thu Jan 21 2010 Paul Howarth <paul@city-fan.org> - 2.25-1
- Update to 2.25 (updated for 5.11.4)
- New upstream maintainer -> new source URL

* Tue Dec 22 2009 Paul Howarth <paul@city-fan.org> - 2.24-1
- Update to 2.24 (updated for 5.11.3)

* Sat Nov 21 2009 Paul Howarth <paul@city-fan.org> - 2.23-1
- Update to 2.23 (updated for 5.11.2)
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct 22 2009 Paul Howarth <paul@city-fan.org> - 2.22-1
- Update to 2.22 (add is_deprecated function and %%deprecated hash)
- New upstream maintainer -> new source URL

* Sat Oct  3 2009 Paul Howarth <paul@city-fan.org> - 2.20-1
- Update to 2.20:
  - Update for perl 5.11.1
  - Make Module::Corelist recognise $] as a version number on 5.11.0

* Tue Aug 25 2009 Paul Howarth <paul@city-fan.org> - 2.18-1
- Update to 2.18:
  - Update for perl 5.10.1
  - Remove %%patchlevel hash (now that perl uses git and not perforce)
  - Add %%upstream and %%bug_tracker data (Nicholas Clark)
- Define RPM macros in global scope

* Thu Jan 22 2009 Paul Howarth <paul@city-fan.org> - 2.17-1
- Update to 2.17

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> - 2.15-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Wed Apr  2 2008 Paul Howarth <paul@city-fan.org> - 2.15-1
- Update to 2.15

* Tue Mar 18 2008 Paul Howarth <paul@city-fan.org> - 2.14-1
- Update to 2.14

* Thu Dec 20 2007 Paul Howarth <paul@city-fan.org> - 2.13-1
- Update to 2.13
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Thu Jul 12 2007 Paul Howarth <paul@city-fan.org> - 2.12-1
- Update to 2.12

* Fri May 11 2007 Paul Howarth <paul@city-fan.org> - 2.11-1
- Update to 2.11

* Thu May 10 2007 Paul Howarth <paul@city-fan.org> - 2.10-1
- Update to 2.10
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Pod)

* Thu Oct  5 2006 Paul Howarth <paul@city-fan.org> - 2.09-1
- Update to 2.09
- Fix argument order for find with -depth

* Fri Sep  8 2006 Paul Howarth <paul@city-fan.org> - 2.08-1
- Update to 2.08

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> - 2.07-2
- Fix distribution tags for development releases

* Thu Aug 10 2006 Paul Howarth <paul@city-fan.org> - 2.07-1
- Update to 2.07

* Thu Aug  3 2006 Paul Howarth <paul@city-fan.org> - 2.06-1
- Update to 2.06

* Wed Jun  7 2006 Paul Howarth <paul@city-fan.org> - 2.05-1
- Update to 2.05

* Fri Feb  3 2006 Paul Howarth <paul@city-fan.org> - 2.04-1
- Update to 2.04

* Thu Feb  2 2006 Paul Howarth <paul@city-fan.org> - 2.03-1
- Update to 2.03
- Simplify distribution-detection
- Remove __perl_version macro, used only once
- Remove __perl_package macro, used only twice
- Remove perl_vendorarch macro, never used in noarch package
- Use search.cpan.org URLs
- Don't set compiler optimization flags for noarch package
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead
- Ensure required directories are owned

* Fri Jun  3 2005 Paul Howarth <paul@city-fan.org> - 2.02-1
- Update to 2.02
- Fix License and Group

* Wed May 18 2005 Paul Howarth <paul@city-fan.org> - 2.01-1
- Update to 2.01
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Fri Apr 15 2005 Paul Howarth <paul@city-fan.org> - 2.00-1
- Update to 2.00
- Use conventional module build process instead of Module::Build

* Wed Feb  9 2005 Paul Howarth <paul@city-fan.org> - 1.98-1
- Update to 1.98

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> - 1.97-1
- Update to 1.97
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> - 1.93-1
- Initial build
